Linux VServer - GCC Installieren / Debian

Diskutiere Linux VServer - GCC Installieren / Debian im Installation & Basiskonfiguration Forum im Bereich Linux/Unix Allgemein; Guten Tag zusammen ;), Ich bin schon fast am verzweifeln habe mich schon jegliches durchgoogelt, und bin zum schluss auf dieses Board gestoßen...

  1. #1 nirvanalove, 14.09.2006
    nirvanalove

    nirvanalove Guest

    Guten Tag zusammen ;),

    Ich bin schon fast am verzweifeln habe mich schon jegliches durchgoogelt,
    und bin zum schluss auf dieses Board gestoßen =) was ja sehr informativ scheint! deswegen suche ich meine hilfe nun hier !! auf die hoffnung das mir hier jemand helfen kann...

    Ich möchte GCC Installieren und brauche das um Apache Server zu installieren,

    Ich habe GCC Runtergeladen und möchte es Installieren
    habe es nun entpackt und wenn ich dann ./configure
    kommt dann diese Fehlermeldung :


    39209:~/gcc/gcc-4.1.1# ./configure
    loading cache ./config.cache
    checking host system type... i686-pc-linux-gnu
    checking target system type... i686-pc-linux-gnu
    checking build system type... i686-pc-linux-gnu
    checking for a BSD compatible install... /usr/bin/install -c
    checking whether ln works... yes
    checking whether ln -s works... yes
    checking for gcc... no
    checking for cc... no
    configure: error: no acceptable cc found in $PATH


    bin schon soweit =(, könnt ihr mir helfen ? was muss ich machen ? ich bin Linux anfänger und bin sehr überzeugt von und bald werde ich Windows verlassen können x)!!!

    Danke im Voraus

    Mit freundlichen Grüßen
    Özcan Dogan :hilfe2:
     
  2. Anzeige

    Anzeige

    Wenn du mehr über Linux erfahren möchtest, dann solltest du dir mal folgende Shellkommandos anschauen.


    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 supersucker, 14.09.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Ja, du hast keinen C-Compiler.

    Um den GCC zu kompilieren, brauchst du natürlich einen Compiler.

    Aber mach es dir doch nicht so schwer.

    Du brauchst den gcc nicht selber kompilieren, nimm die Debian-Pakete.

    Ich weiss nicht ob es unter Debian auch so heisst, aber unter Ubuntu (Debian-Derrivat) reicht ein

    Code:
    apt-get install build-essential
     
  4. #3 nirvanalove, 14.09.2006
    nirvanalove

    nirvanalove Guest

    danke werde mal nachschauen 8)
    würde trotzdem gerne wissen wie ich sowas zu installieren habe, will ja nicht dumm bleiben und alles automatisch machen ;) !!
    wäre trotzdem sehr dankbar wenn mir jemand ein klitze kleines tutorial posten würde wie ich das zu machen habe für Anfänger zu verstehen

    trotzdem schonmal tausend dank für deine hilfe werde gleich mal nach pakteten googlen!

    Mit freundlichen Grüßen
    Özcan Dogan
     
  5. #4 supersucker, 14.09.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Das brauchst du nicht, das, was ich oben geschrieben habe, in der Konsole eingeben.

    Ja, wie schon gesagt: um was zu kompiliern brauchst du einen Compiler. Die Fehlermeldung kam daher das bei dir keiner gefunden wurde.

    Und auch wenn du einen Compiler kompilieren willst brauchst du einen Compiler.

    Und um diese Rekursion zu beenden wurden vorkompilierte Pakete erfunden..........:D

    noch was zu lesen klick mich
     
  6. dizzgo

    dizzgo Lernbereite Riesenratte

    Dabei seit:
    04.08.2005
    Beiträge:
    573
    Zustimmungen:
    0
    Ort:
    /ch/sg///
    Hallo

    Das hier ist aufschlussreich wenn du - warum auch immer - keine Pakete verwenden willst:
    http://www.tldp.org/HOWTO/Software-Building-HOWTO.html

    Pakete finden kannst du via:
    Code:
    apt-cache search [I]suchbegriff[/I]
    Oder, übersichtlicher, per grafischer Paketverwaltung (falls du sowas installiert hast).

    Gruss
    d22
     
  7. #6 nirvanalove, 14.09.2006
    nirvanalove

    nirvanalove Guest

    danke supersucker,

    habe deinen befehl in die Console eingegeben aber dann kommt auf einmal das :(...

    39209:~/gcc/gcc-4.1.1# apt-get install build-essential
    Reading Package Lists... Done
    Building Dependency Tree... Done
    W: Couldn't stat source package list http://ftp.freenet.de stable/main Packages (/var/lib/apt/lists/ftp.freenet.de_debian_dists_stable_main_binary-i386_Packages) - stat (2 No such file or directory)
    W: Couldn't stat source package list http://ftp.freenet.de stable/contrib Packages (/var/lib/apt/lists/ftp.freenet.de_debian_dists_stable_contrib_binary-i386_Packages) - stat (2 No such file or directory)
    W: Couldn't stat source package list http://ftp.freenet.de stable/non-free Packages (/var/lib/apt/lists/ftp.freenet.de_debian_dists_stable_non-free_binary-i386_Packages) - stat (2 No such file or directory)
    W: Couldn't stat source package list http://security.debian.org stable/updates/main Packages (/var/lib/apt/lists/security.debian.org_dists_stable_updates_main_binary-i386_Packages) - stat (2 No such file or directory)
    W: Couldn't stat source package list http://security.debian.org stable/updates/contrib Packages (/var/lib/apt/lists/security.debian.org_dists_stable_updates_contrib_binary-i386_Packages) - stat (2 No such file or directory)
    W: Couldn't stat source package list http://security.debian.org stable/updates/non-free Packages (/var/lib/apt/lists/security.debian.org_dists_stable_updates_non-free_binary-i386_Packages) - stat (2 No such file or directory)
    W: You may want to run apt-get update to correct these problems
    E: Couldn't find package build-essential
    39209:~/gcc/gcc-4.1.1#



    ich bin doch verflucht worden oder :o(?

    bitte nochmals um rat
     
  8. #7 supersucker, 14.09.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Mach mal

    Code:
    apt-get clean
    apt-get update
    apt-get install build-essential
     
  9. #8 nirvanalove, 14.09.2006
    Zuletzt von einem Moderator bearbeitet: 14.09.2006
    nirvanalove

    nirvanalove Guest

    okay, super hat geklappt =D wow nun.. fragt er mich etwas nur ich weis nicht genau was...

    hier ein kleiner screen..

    [​IMG]


    Mit freundlichen Grüßen
    Özcan Dogan

    ( hab jetzt mal irgendwas mit de_ISO genommen ^^ wird schon schief gehn ... )
     
  10. #9 Wolfgang, 14.09.2006
    Wolfgang

    Wolfgang Foren Gott

    Dabei seit:
    24.04.2005
    Beiträge:
    3.978
    Zustimmungen:
    0
    Ort:
    Erfurt
    Hallo

    ISO-8859-15 entspricht de_DE@euro, und ist nicht verkehrt.
    Wenn du utf8 nicht brauchst, ist das die richtige Wahl.

    Gruß Wolfgang
     
Thema: Linux VServer - GCC Installieren / Debian
Besucher kamen mit folgenden Suchen
  1. gcc installieren debian

    ,
  2. debian gcc install

Die Seite wird geladen...

Linux VServer - GCC Installieren / Debian - Ähnliche Themen

  1. iptables Problem auf Linux vServer

    iptables Problem auf Linux vServer: Hallo, mein iptables will irgendwie nicht loggen. Hier ist meine /etc/iptables.rules: # Generated by iptables-save v1.4.4 on Sat Aug 27...
  2. Linux Mint 19.3 Beta veröffentlicht

    Linux Mint 19.3 Beta veröffentlicht: Die Betaversion zu Linux Mint 19.3 ist in Versionen mit den Desktop-Umgebungen Cinnamon, Xfce und Mate erschienen. Die stabile Version soll noch...
  3. Holarse startet Linux Spiele-Adventskalender

    Holarse startet Linux Spiele-Adventskalender: Die Linux-Spiele-Seite Holarse präsentiert auch in diesem Jahr einen Adventskalender, bei dem es täglich ein Linux-Spiel zu gewinnen gibt....
  4. Linux 5.5 entfernt sysctl-Systemaufruf

    Linux 5.5 entfernt sysctl-Systemaufruf: Der bereits seit zehn Jahren obsolete Systemaufruf sysctl soll in Linux 5.5 endgültig entfernt werden. Nach Einschätzung der Kernel-Entwickler...
  5. Kali Linux 2019.4 mit Xfce als Standard

    Kali Linux 2019.4 mit Xfce als Standard: Die Live-Distribution für Penetrationstests und Sicherheits-Auditing Kali Linux ist in Version 2019.4 erschienen. Die neue Version ist vollgepackt...
  1. Diese Seite verwendet Cookies um Inhalte zu personalisieren. Außerdem werden auch Cookies von Diensten Dritter gesetzt. Mit dem weiteren Aufenthalt akzeptierst du diesen Einsatz von Cookies.
    Information ausblenden